GET
/api/v1/billing/tds-upload/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/billing/tds-upload/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/billing/tds-upload/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/billing/tds-upload/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieves the TDS upload information for a user, filtered by project ID and location.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”TDS upload data retrieved successfully
Media typeapplication/json
object
code
integer
message
string
data
object
uploaded_documents
Array<object>
object
total_tds_refunded
integer
total_tds_amount_refunded
string
tds_refund_enable
boolean
errors
Array<object>
object
Example
{ "code": 200, "message": "Success", "data": { "uploaded_documents": [], "total_tds_refunded": 0, "total_tds_amount_refunded": "0", "tds_refund_enable": true }, "errors": []}